Bug 230038 - Kernels since 2.6.18-1.2849 break xen nat setup
Kernels since 2.6.18-1.2849 break xen nat setup
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Xen Maintainance List
Virtualization Bugs
: 230040 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2007-02-26 01:08 EST by Daniel McNamara
Modified: 2009-12-14 15:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-26 18:58:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel McNamara 2007-02-26 01:08:54 EST
Description of problem:

Xen setup using natng not bridging for guests. Works fine on 2.6.18-1.2849 and
previous. Fails completly on all kernels since including the recent
2.6.19-1.2911. Note this only seems to be the fault of the Dom0 - kernels run by
the guests seem not to be relevant.

Version-Release number of selected component (if applicable): 2.6.19-1.2911

How reproducible:

Every time - each kernel since 2.6.18-1.2849

Steps to Reproduce:
1. Set up xen machines using nat network NOT standard bridging
2. Install any kernel above 2.6.18-1.2849 on Dom0
3. Start xen guests. Networks will come up but traffic will fail to flow to/from
the machines. Revert Dom0 to 2.6.18-1.2849 or below and it will work without issue.
Actual results:

Xen network nat fails to work - no errors/diagnositics to indicate why

Expected results:

Standard xen nat network setup should continue to work on newer kernels

Additional info:

I have tested this multiple times. At present my setup has Dom0 running
2.6.18-1.2849 and the DomU guests are running 2.6.18-1.2911 and this NAT's just
fine. Upgrade Dom0 to 2.6.18-1.2849 and xen guests start as normal. Everything
appears to be in place. Network traffic however does not flow. No other changes
in terms of xen configuration has been done.
Comment 1 Daniel Berrange 2007-02-26 08:42:48 EST
*** Bug 230040 has been marked as a duplicate of this bug. ***
Comment 2 Red Hat Bugzilla 2007-07-24 21:38:57 EDT
change QA contact
Comment 3 Chris Lalancette 2008-02-26 18:58:00 EST
This report targets FC6, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.


Note You need to log in before you can comment on or make changes to this bug.